Bug 65623 - python2-docs makefile is broken
python2-docs makefile is broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: python2 (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 16:07 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-28 16:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-28 16:07:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The python2-docs makefile fails to build the documentation as shipped.  My
system has both python and python2 installed, hence the python2 executable is
python2, not python.  The makefile for the python2 docs has the line: 
PYTHON=    python
on line 71.  Changing this to 
PYTHON=    python2
fixes the problem.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. On a RedHat Linux 7.3 system, make sure the python and python2 packages are
installed.
2. Install the python2-docs package
3. Go to /usr/share/doc/python2-docs-2.2 and run 'make'
4. Edit the Makefile according to the description above.
5. Run 'make' again
	

Actual Results:
Traceback (innermost last):
  File "tools/mkhowto", line 652, in ?
    main()
  File "tools/mkhowto", line 608, in main
    Job(options, path).build()
  File "tools/mkhowto", line 284, in build
    self.require_temps()
  File "tools/mkhowto", line 449, in require_temps
    self.build_aux(binary=binary)
  File "tools/mkhowto", line 325, in build_aux
    self.run("%s %s" % (binary, self.doc))
  File "tools/mkhowto", line 506, in run
    if sys.platform.startswith("win"):
AttributeError: 'string' object has no attribute 'startswith'
make: *** [html/api/api.html] Error 1


Expected Results:  It should have built the docs correctly.

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-05-31 11:12:08 EDT
In Rawhide, python 2.2.1 is now the python package, thus fixing this problem as
a sideffect.

Note You need to log in before you can comment on or make changes to this bug.